import React, { Component } from 'react';
import { AvatarProps as NextAvatarProps } from '@alifd/next/types/avatar';
interface AvatarAddProps {
    group?: boolean;
    children?: React.ReactNode;
}
interface AvatarProps extends Omit<NextAvatarProps, 'size'> {
    size?: 'xl' | 'large' | 'medium' | 'small' | number;
}
interface AvatarGroupProps extends NextAvatarProps, AvatarAddProps {
}
declare class AvatarGroup extends Component<AvatarGroupProps> {
    render(): JSX.Element;
}
declare class Avatar extends Component<AvatarProps> {
    static Group: typeof AvatarGroup;
    render(): JSX.Element;
}
declare const _default: typeof Avatar;
export default _default;
